1. Contacts
Leadfeeder API (BETA)
  • Introduction
  • Authentication
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
      GET
    • Retrieve Contacts
      GET
    • Search Contacts
      POST
    • Add Contact to Lists
      POST
    • Remove Contact from Lists
      DELETE
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • WebVisitV1
    • CRMConnectionV1
    • BuyerPersonaV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Contacts

Search Contacts

POST
/v1/contacts/search
Search for contacts based on the provided search parameters and returns contact summary objects.
Credit Note: Searches do not consume credits. Credits are only used if you subsequently retrieve deep data for a contact that has not been accessed within the last 12 months.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location -g --request POST 'https://api.leadfeeder.com/v1/contacts/search?account_id=123456&page[cursor]=WyAzNzAwMCwgIjIzNTYyMCJd&page[size]=20' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "search_terms": [
        "John Smith"
    ]
}'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "type": "contact_summary",
            "id": "435834",
            "attributes": {
                "full_name": "John Doe",
                "gender": "male",
                "hierarchy_level": "employees",
                "meta": {
                    "has_phones": true,
                    "has_mail": true,
                    "has_social_accounts": true
                }
            },
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company_summary"
                }
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 0
        },
        "pagination": {
            "next_cursor": "dXNlcjpVMEc5V0ZYTlo",
            "total_count": 1450
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-04-14 13:35:01
Previous
Retrieve Contacts
Next
Add Contact to Lists
Built with